<?php
/**
 * WhatsApp Chat - Configuration
 * 
 * WhatsApp Chat Block
 *
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package whatsappchat
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<h3><?= ___('WhatsApp Chat') ?></h3>
<schlix-config:textbox config-key='str_phone' label='<?= ___('Whatsapp Phone Number (you must include the country code)') ?>' class='form-control' config-fonticon="fa fa-phone" placeholder="+178012345678" />
<schlix-config:textbox config-key='str_title' label="<?= ___('Header') ?>" class='form-control' /> 
<schlix-config:textbox config-key='str_placeholder' label='<?= ___('Placeholder text') ?>' class='form-control' />
<schlix-config:textbox config-key='str_whatsapp_button' label='<?= ___('WhatsApp Button Image Alt Text') ?>' class='form-control' placeholder="<?= ___('Chat with Us') ?>" />
<schlix-config:textbox config-key='str_send_button' label='<?= ___('Send Button text') ?>' class='form-control' placeholder="<?= ___('Send') ?>" />

<schlix-config:radiogroup config-key="str_position" label="<?= ('Position') ?>" config-default-value="bottomright" required="required">
    <schlix-config:option value="bottomleft"><?= ___h('Bottom Left') ?></schlix-config:option>
    <schlix-config:option value="bottomright"><?= ___h('Bottom Right') ?></schlix-config:option>
    <schlix-config:option value="left"><?= ___h('Left') ?></schlix-config:option>
    <schlix-config:option value="right"><?= ___h('Right') ?></schlix-config:option>
</schlix-config:radiogroup>