<?php
namespace Block;
/**
 * WhatsApp Chat - Main Class
 * 
 * WhatsApp Chat Block
 * 
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package whatsappchat
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class WhatsAppChat extends \SCHLIX\cmsBlock
{
    private static $executed;
    
    protected static function setExecutedFlag()
    {
        self::$executed = 'yes';
    }
    
    protected static function getExecutionFlag()
    {
        return self::$executed;
    }    
    

    /**
     * Like alpha_numeric_with_dash_underscore but without - (dash) and (underscore) allowed
     * @param string $str
     * @param string $replacement
     * @return string
     */
    public function numbersOnly($str) {
        $str = preg_replace('/[^0-9]/', '', $str);
        return trim($str);
    }    
    
    public function Run()
    {
            $this->loadTemplateFile('view.whatsappchat',['config' => $this->config]);
    }
}
